#pragma once

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <windows.h>
#include <mmsystem.h>
#include "HOG.h"
#include "learning.h"

#define DEPTH_HIST_BIN			25			//Bin number of depth histogram
#define HIST_AREA				8			//The initial size of the area calculation of histogram(pixel~pixel)
#define SLIDE_STEP				8			//Amount of space to move the histogram calculation(pixel)
#define WIDTH_STEP				8			//Variation of the histogram calculation region(pixel)

class CDepth_Hitogram
{
public:
	CDepth_Hitogram(void);
	~CDepth_Hitogram(void);
	int Init();
	int CompIntegralDepthHist(int img[]);
	int GetHistogramfeature(double hog_feature[]);


private:
	int bpp;
	int WStep;
	int CellNum;
	double **Depth_Hist;


};
